=================
oslo.upgradecheck
=================

Common code for writing OpenStack upgrade checks.

This project can be used to assist with the implementation of a
``$SERVICE-status`` command that responds to parameters of ``upgrade check``
by running upgrade check functions on the existing installation. For further
details see :doc:`usage` and the `Nova documentation on upgrade checks`_.

.. _`Nova documentation on upgrade checks`: https://docs.openstack.org/nova/latest/reference/upgrade-checks.html

Contents
========

.. toctree::
   :maxdepth: 2

   installation
   api
   usage
   contributing

Release Notes
=============

Read also the `oslo.upgradecheck Release Notes
<https://docs.openstack.org/releasenotes/oslo.upgradecheck/>`_.

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`

